set timing on;
set serveroutput on size 1000000;

BEGIN

   run_sql( ' ALTER TABLE part_tables '
         || ' ADD ( termination_date date )' );

   run_sql( ' ALTER TABLE part_task '
         || ' ADD ( termination_date date )' );

   run_sql( ' CREATE TABLE WM_MESSAGE_LOG '
         || ' (MESSAGE_ID		INTEGER NOT NULL, TSTAMP DATE NOT NULL, COMPONENT VARCHAR2(60) NOT NULL, '
         || '  MESSAGE_TEXT 	VARCHAR2(1000) NOT NULL, SEVERITY VARCHAR2(10), '
         || '  CONSTRAINT 		PK_WM_LOG_MESSAGE PRIMARY KEY (TSTAMP, MESSAGE_ID), '
         || '  CONSTRAINT 		CK_WM_LOG_MESSAGE_SEV CHECK (SEVERITY IN (''HIGH'',''MEDIUM'',''LOW'')) ENABLE '
         || ' ) ORGANIZATION INDEX PARTITION BY RANGE(tstamp) '
         || '( PARTITION ' || 'P' || TO_CHAR(trunc(sysdate+1), 'YYYYMMDDHH24')
         || ' VALUES LESS THAN (TO_DATE(''' || TO_CHAR(trunc(sysdate+2), 'YYYYMMDDHH24') || ''', ''YYYYMMDDHH24'')) ) '
         || ' TABLESPACE TRAFFIC_MEDIUM' );

   run_sql( ' CREATE SEQUENCE  wm_log_message_seq  MINVALUE 1 NOMAXVALUE INCREMENT BY 1 START WITH 1 CACHE 100 NOORDER  NOCYCLE ' );

END;
/

